
QGIS Application - Bug report #11606

Crash and file corruption

2014-11-09 09:52 AM - Niccolo' Marchi

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19862

Description

I upgraded from 2.2 to 2.6.

Quitting QGIS creates a minidump and the last time made the project file unusable ("errore while reading the file. unexpected end of the

file ect"). Unfortunately it did it also while working (styling layers, zooming in/out); disabling the MTR seems to work.

I already tested without plugins having seen #11600 and many others.

History

#1 - 2014-11-09 09:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

a nasty bug this has been fixed in master and backported to 2.6 branch. You should try qgis master too.

another thing you should do is to (backup and) delete .qgis2, restart qgis and try again (it is not caused by plugins, but other configs in .qgis2).

#2 - 2014-11-09 10:09 AM - Niccolo' Marchi

Giovanni Manghi wrote:

another thing you should do is to (backup and) delete .qgis2, restart qgis and try again (it is not caused by plugins, but other configs in .qgis2).

it was the first thing done, as suggested in other posts. Then I tried with plugins and then with mtr.

#3 - 2014-11-09 10:10 AM - Giovanni Manghi

Niccolo' Marchi wrote:

Giovanni Manghi wrote:

another thing you should do is to (backup and) delete .qgis2, restart qgis and try again (it is not caused by plugins, but other configs in .qgis2).

it was the first thing done, as suggested in other posts. Then I tried with plugins and then with mtr.

you should also test master (with mtr) and see if it still crashes. Thanks.

#4 - 2014-11-10 05:45 AM - Niccolo' Marchi
Giovanni Manghi wrote:

a nasty bug this has been fixed in master and backported to 2.6 branch. You should try qgis master too.

installed 2.7 master: no problems yet.

thank you very much!

#5 - 2014-11-10 09:58 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

reopen if necessary.
